zenilib: TiXmlDeclaration Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Protected Member Functions | List of all members
TiXmlDeclaration Class Reference

`#include <tinyxml.h>`

Inherits TiXmlNode.

## Public Member Functions

| TiXmlDeclaration ()
| Construct an empty declaration. More...
| TiXmlDeclaration (const char *_version, const char *_encoding, const char *_standalone)
| Construct. More...
| TiXmlDeclaration (const TiXmlDeclaration &copy)
virtual | ~TiXmlDeclaration ()
virtual bool | Accept (TiXmlVisitor *visitor) const
virtual TiXmlNode * | Clone () const
| Creates a copy of this Declaration and returns it. More...
const char * | Encoding () const
| Encoding. Will return an empty string if none was found. More...
void | operator= (const TiXmlDeclaration &copy)
virtual const char * | Parse (const char *p, TiXmlParsingData *data, TiXmlEncoding encoding)
virtual void | Print (FILE *cfile, int depth, TIXML_STRING *str) const
virtual void | Print (FILE *cfile, int depth) const
const char * | Standalone () const
| Is this a standalone document? More...
virtual const TiXmlDeclaration * | ToDeclaration () const
| Cast to a more defined type. Will return null not of the requested type. More...
virtual TiXmlDeclaration * | ToDeclaration ()
| Cast to a more defined type. Will return null not of the requested type. More...
const char * | Version () const
| Version. Will return an empty string if none was found. More...
Public Member Functions inherited from TiXmlNode
virtual | ~TiXmlNode ()
void | Clear ()
| Delete all the children of this node. Does not affect 'this'. More...
const TiXmlNode * | FirstChild () const
| The first child of this node. Will be null if there are no children. More...
TiXmlNode * | FirstChild ()
const TiXmlNode * | FirstChild (const char *value) const
TiXmlNode * | FirstChild (const char *_value)
| The first child of this node with the matching 'value'. Will be null if none found. More...
const TiXmlElement * | FirstChildElement () const
| Convenience function to get through elements. More...
TiXmlElement * | FirstChildElement ()
const TiXmlElement * | FirstChildElement (const char *_value) const
| Convenience function to get through elements. More...
TiXmlElement * | FirstChildElement (const char *_value)
const TiXmlDocument * | GetDocument () const
TiXmlDocument * | GetDocument ()
TiXmlNode * | InsertAfterChild (TiXmlNode *afterThis, const TiXmlNode &addThis)
TiXmlNode * | InsertBeforeChild (TiXmlNode *beforeThis, const TiXmlNode &addThis)
TiXmlNode * | InsertEndChild (const TiXmlNode &addThis)
const TiXmlNode * | IterateChildren (const TiXmlNode *previous) const
TiXmlNode * | IterateChildren (const TiXmlNode *previous)
const TiXmlNode * | IterateChildren (const char *value, const TiXmlNode *previous) const
| This flavor of IterateChildren searches for children with a particular 'value'. More...
TiXmlNode * | IterateChildren (const char *_value, const TiXmlNode *previous)
const TiXmlNode * | LastChild () const
TiXmlNode * | LastChild ()
| The last child of this node. Will be null if there are no children. More...
const TiXmlNode * | LastChild (const char *value) const
TiXmlNode * | LastChild (const char *_value)
| The last child of this node matching 'value'. Will be null if there are no children. More...
TiXmlNode * | LinkEndChild (TiXmlNode *addThis)
const TiXmlNode * | NextSibling () const
| Navigate to a sibling node. More...
TiXmlNode * | NextSibling ()
const TiXmlNode * | NextSibling (const char *) const
| Navigate to a sibling node with the given 'value'. More...
TiXmlNode * | NextSibling (const char *_next)
const TiXmlElement * | NextSiblingElement () const
TiXmlElement * | NextSiblingElement ()
const TiXmlElement * | NextSiblingElement (const char *) const
TiXmlElement * | NextSiblingElement (const char *_next)
bool | NoChildren () const
| Returns true if this node has no children. More...
TiXmlNode * | Parent ()
| One step up the DOM. More...
const TiXmlNode * | Parent () const
const TiXmlNode * | PreviousSibling () const
| Navigate to a sibling node. More...
TiXmlNode * | PreviousSibling ()
const TiXmlNode * | PreviousSibling (const char *) const
| Navigate to a sibling node. More...
TiXmlNode * | PreviousSibling (const char *_prev)
bool | RemoveChild (TiXmlNode *removeThis)
| Delete a child of this node. More...
TiXmlNode * | ReplaceChild (TiXmlNode *replaceThis, const TiXmlNode &withThis)
void | SetValue (const char *_value)
virtual const TiXmlComment * | ToComment () const
| Cast to a more defined type. Will return null if not of the requested type. More...
virtual TiXmlComment * | ToComment ()
| Cast to a more defined type. Will return null if not of the requested type. More...
virtual const TiXmlDocument * | ToDocument () const
| Cast to a more defined type. Will return null if not of the requested type. More...
virtual TiXmlDocument * | ToDocument ()
| Cast to a more defined type. Will return null if not of the requested type. More...
virtual const TiXmlElement * | ToElement () const
| Cast to a more defined type. Will return null if not of the requested type. More...
virtual TiXmlElement * | ToElement ()
| Cast to a more defined type. Will return null if not of the requested type. More...
virtual const TiXmlText * | ToText () const
| Cast to a more defined type. Will return null if not of the requested type. More...
virtual TiXmlText * | ToText ()
| Cast to a more defined type. Will return null if not of the requested type. More...
virtual const TiXmlUnknown * | ToUnknown () const
| Cast to a more defined type. Will return null if not of the requested type. More...
virtual TiXmlUnknown * | ToUnknown ()
| Cast to a more defined type. Will return null if not of the requested type. More...
int | Type () const
const char * | Value () const
const TIXML_STRING & | ValueTStr () const
Public Member Functions inherited from TiXmlBase
| TiXmlBase ()
virtual | ~TiXmlBase ()
int | Column () const
| See Row() More...
void * | GetUserData ()
| Get a pointer to arbitrary user data. More...
const void * | GetUserData () const
| Get a pointer to arbitrary user data. More...
int | Row () const
void | SetUserData (void *user)
| Set a pointer to arbitrary user data. More...

## Protected Member Functions

void | CopyTo (TiXmlDeclaration *target) const
Protected Member Functions inherited from TiXmlNode
| TiXmlNode (NodeType _type)
void | CopyTo (TiXmlNode *target) const
TiXmlNode * | Identify (const char *start, TiXmlEncoding encoding)

## Additional Inherited Members

Public Types inherited from TiXmlNode
enum | NodeType { TINYXML_DOCUMENT, TINYXML_ELEMENT, TINYXML_COMMENT, TINYXML_UNKNOWN, TINYXML_TEXT, TINYXML_DECLARATION, TINYXML_TYPECOUNT }
Public Types inherited from TiXmlBase

enum

{
TIXML_NO_ERROR = 0, TIXML_ERROR, TIXML_ERROR_OPENING_FILE, TIXML_ERROR_PARSING_ELEMENT,
TIXML_ERROR_FAILED_TO_READ_ELEMENT_NAME, TIXML_ERROR_READING_ELEMENT_VALUE, TIXML_ERROR_READING_ATTRIBUTES, TIXML_ERROR_PARSING_EMPTY,
TIXML_ERROR_READING_END_TAG, TIXML_ERROR_PARSING_UNKNOWN, TIXML_ERROR_PARSING_COMMENT, TIXML_ERROR_PARSING_DECLARATION,
TIXML_ERROR_DOCUMENT_EMPTY, TIXML_ERROR_EMBEDDED_NULL, TIXML_ERROR_PARSING_CDATA, TIXML_ERROR_DOCUMENT_TOP_ONLY,
TIXML_ERROR_STRING_COUNT
}

Static Public Member Functions inherited from TiXmlBase
static void | EncodeString (const TIXML_STRING &str, TIXML_STRING *out)
static bool | IsWhiteSpaceCondensed ()
| Return the current white space setting. More...
static void | SetCondenseWhiteSpace (bool condense)
Static Public Attributes inherited from TiXmlBase
static const int | utf8ByteTable [256]
Static Protected Member Functions inherited from TiXmlBase
static void | ConvertUTF32ToUTF8 (unsigned long input, char *output, int *length)
static const char * | GetChar (const char *p, char *_value, int *length, TiXmlEncoding encoding)
static const char * | GetEntity (const char *in, char *value, int *length, TiXmlEncoding encoding)
static int | IsAlpha (unsigned char anyByte, TiXmlEncoding encoding)
static int | IsAlphaNum (unsigned char anyByte, TiXmlEncoding encoding)
static bool | IsWhiteSpace (char c)
static bool | IsWhiteSpace (int c)
static const char * | ReadName (const char *p, TIXML_STRING *name, TiXmlEncoding encoding)
static const char * | ReadText (const char *in, TIXML_STRING *text, bool ignoreWhiteSpace, const char *endTag, bool ignoreCase, TiXmlEncoding encoding)
static const char * | SkipWhiteSpace (const char *, TiXmlEncoding encoding)
static bool | StringEqual (const char *p, const char *endTag, bool ignoreCase, TiXmlEncoding encoding)
static int | ToLower (int v, TiXmlEncoding encoding)
Protected Attributes inherited from TiXmlNode
TiXmlNode * | firstChild
TiXmlNode * | lastChild
TiXmlNode * | next
TiXmlNode * | parent
TiXmlNode * | prev
NodeType | type
TIXML_STRING | value
Protected Attributes inherited from TiXmlBase
TiXmlCursor | location
void * | userData
| Field containing a generic user pointer. More...
Static Protected Attributes inherited from TiXmlBase
static const char * | errorString [TIXML_ERROR_STRING_COUNT]

## Detailed Description

In correct XML the declaration is the first entry in the file.

      <?xml version="1.0" standalone="yes"?>

TinyXml will happily read or write files without a declaration, however. There are 3 possible attributes to the declaration: version, encoding, and standalone.

Note: In this version of the code, the attributes are handled as special cases, not generic attributes, simply because there can only be at most 3 and they are always the same.

Definition at line 1278 of file tinyxml.h.

## Constructor & Destructor Documentation

TiXmlDeclaration::TiXmlDeclaration | ( |  | ) |

inline

Construct an empty declaration.

Definition at line 1282 of file tinyxml.h.

Referenced by Clone().

TiXmlDeclaration::TiXmlDeclaration | ( | const char * | _version,
|  | const char * | _encoding,
|  | const char * | _standalone
| ) |  |

Construct.

Definition at line 1333 of file tinyxml.cpp.

TiXmlDeclaration::TiXmlDeclaration | ( | const TiXmlDeclaration & | copy | ) |

Definition at line 1357 of file tinyxml.cpp.

References CopyTo().

virtual TiXmlDeclaration::~TiXmlDeclaration | ( |  | ) |

inlinevirtual

Definition at line 1299 of file tinyxml.h.

## Member Function Documentation

bool TiXmlDeclaration::Accept | ( | TiXmlVisitor * | visitor | ) | const

virtual

Walk the XML tree visiting this node and all of its children.

Implements TiXmlNode.

Definition at line 1403 of file tinyxml.cpp.

References TiXmlVisitor::Visit().

TiXmlNode * TiXmlDeclaration::Clone | ( |  | ) | const

virtual

Creates a copy of this Declaration and returns it.

Implements TiXmlNode.

Definition at line 1409 of file tinyxml.cpp.

References CopyTo(), and TiXmlDeclaration().

void TiXmlDeclaration::CopyTo | ( | TiXmlDeclaration * | target | ) | const

protected

Definition at line 1393 of file tinyxml.cpp.

References TiXmlNode::CopyTo().

Referenced by Clone(), operator=(), and TiXmlDeclaration().

const char* TiXmlDeclaration::Encoding | ( |  | ) | const

inline

Encoding. Will return an empty string if none was found.

Definition at line 1304 of file tinyxml.h.

Referenced by TiXmlDocument::Parse().

void TiXmlDeclaration::operator= | ( | const TiXmlDeclaration & | copy | ) |

Definition at line 1364 of file tinyxml.cpp.

References TiXmlNode::Clear(), and CopyTo().

const char * TiXmlDeclaration::Parse | ( | const char * | p,
|  | TiXmlParsingData * | data,
|  | TiXmlEncoding | encoding
| ) |  |

virtual

Implements TiXmlBase.

Definition at line 1569 of file tinyxmlparser.cpp.

References TiXmlNode::GetDocument(), TiXmlBase::IsWhiteSpace(), TiXmlAttribute::Parse(), TiXmlDocument::SetError(), TiXmlBase::SkipWhiteSpace(), TiXmlBase::StringEqual(), TiXmlBase::TIXML_ERROR_PARSING_DECLARATION, TiXmlAttribute::Value(), and version.

void TiXmlDeclaration::Print | ( | FILE * | cfile,
|  | int | depth,
|  | TIXML_STRING * | str
| ) |  | const

virtual

Definition at line 1371 of file tinyxml.cpp.

Referenced by TiXmlPrinter::Visit().

virtual void TiXmlDeclaration::Print | ( | FILE * | cfile,
|  | int | depth
| ) |  | const

inlinevirtual

All TinyXml classes can print themselves to a filestream or the string class (TiXmlString in non-STL mode, std::string in STL mode.) Either or both cfile and str can be null.

This is a formatted print, and will insert tabs and newlines.

(For an unformatted stream, use the << operator.)

Implements TiXmlBase.

Definition at line 1312 of file tinyxml.h.

References TiXmlBase::Print().

const char* TiXmlDeclaration::Standalone | ( |  | ) | const

inline

Is this a standalone document?

Definition at line 1306 of file tinyxml.h.

virtual const TiXmlDeclaration* TiXmlDeclaration::ToDeclaration | ( |  | ) | const

inlinevirtual

Cast to a more defined type. Will return null not of the requested type.

Reimplemented from TiXmlNode.

Definition at line 1318 of file tinyxml.h.

virtual TiXmlDeclaration* TiXmlDeclaration::ToDeclaration | ( |  | ) |

inlinevirtual

Cast to a more defined type. Will return null not of the requested type.

Reimplemented from TiXmlNode.

Definition at line 1319 of file tinyxml.h.

const char* TiXmlDeclaration::Version | ( |  | ) | const

inline

Version. Will return an empty string if none was found.

Definition at line 1302 of file tinyxml.h.

References version.

The documentation for this class was generated from the following files:

- zenilib/jni/external/tinyxml/tinyxml.h
- zenilib/jni/external/tinyxml/tinyxml.cpp
- zenilib/jni/external/tinyxml/tinyxmlparser.cpp